package com.jxml.quick.util.qjml2html;
import com.jxml.quick.model.qjml.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;

public class QCField extends OCMrootPeerSupportLite
{		

	public void cvt(Object param) throws SAXException, IOException 
	{
		OCMcontextSupport.SubContextSupport scs=(OCMcontextSupport.SubContextSupport)context;
		StringBuffer sb=scs.sb;
		QMQJML qjml=(QMQJML)scs.dataModelRoot;
		QMField ed = (QMField)dataModel;

		String t=ed.getClassName();
		if (t.startsWith("java.lang."))
			t=t.substring(10);
		sb.append(t);
		sb.append(' ');
		sb.append(ed.name);
	}
}

